import * as core from "@terrascript/core";

export interface GroupPolicyAttachmentArgs extends core.ResourceArgs {
  group: string | core.StringOut;

  policyArn: string | core.StringOut;
}

export class GroupPolicyAttachment extends core.Resource<GroupPolicyAttachmentArgs> {
  @core.attr(String)
  public group!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policyArn!: string | core.StringOut;

  constructor(name: string, args?: GroupPolicyAttachmentArgs) {
    super(name, "aws_iam_group_policy_attachment", args);
  }

  public override getNamespace(): string {
    return "aws_iam";
  }
}
